using Android.Graphics;
using System.Collections.ObjectModel;
using System.Globalization;
using System.IO;
using ThinkGeo.MapSuite.Core;

namespace CrossHairSample
{
    public class CrossHairAdornmentLayer : AdornmentLayer
    {
        private GeoImage crossHairImage;

        private readonly CultureInfo US_NUMBERS = new CultureInfo("en-US");


        public CrossHairAdornmentLayer()
        {
        }

        protected override void DrawCore(GeoCanvas canvas, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            base.DrawCore(canvas, labelsInAllLayers);

            // use world coordinates to draw cross hair
            //RectangleShape extent = canvas.CurrentWorldExtent; 
            //PointShape mapCenter = extent.GetCenterPoint();
            //PointShape mapMin = extent.LowerLeftPoint;
            //PointShape mapMax = extent.UpperRightPoint;

            //LineShape h = new LineShape();
            //h.Vertices.Add(new Vertex(mapMin.X, mapCenter.Y));
            //h.Vertices.Add(new Vertex(mapMax.X, mapCenter.Y));

            //LineShape v = new LineShape();
            //v.Vertices.Add(new Vertex(mapCenter.X, mapMin.Y));
            //v.Vertices.Add(new Vertex(mapCenter.X, mapMax.Y));

            //GeoColor clr = new GeoColor(0, 0, 0);
            //canvas.DrawLine(h, new GeoPen(clr, 3), DrawingLevel.LevelOne);
            //canvas.DrawLine(v, new GeoPen(clr, 3), DrawingLevel.LevelOne);

            // use screen point to draw cross hair
            Collection<ScreenPointF> h = new Collection<ScreenPointF>();
            h.Add(new ScreenPointF(0, canvas.Height / 2));
            h.Add(new ScreenPointF(canvas.Width, canvas.Height / 2));

            Collection<ScreenPointF> v = new Collection<ScreenPointF>();
            v.Add(new ScreenPointF(canvas.Width / 2, 0));
            v.Add(new ScreenPointF(canvas.Width / 2, canvas.Height));

            GeoColor clr = new GeoColor(0, 0, 0);
            canvas.DrawLine(h, new GeoPen(clr, 3), DrawingLevel.LevelOne, 0, 0);
            canvas.DrawLine(v, new GeoPen(clr, 3), DrawingLevel.LevelOne, 0, 0);
        }
    }
}