﻿using Android.App;
using Android.Graphics;
using Android.OS;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace CrossHairSample
{
    [Activity(Label = "CrossHairSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        private MapView androidMap;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            androidMap = FindViewById<MapView>(Resource.Id.androidmap);
            androidMap.MapUnit = GeographyUnit.DecimalDegree;
            androidMap.CurrentExtent = new RectangleShape(-133.70986904476, 87.7080574172297, -70.3800124823027, -12.0364666686405);
            androidMap.SetBackgroundColor(new Android.Graphics.Color(233, 229, 220, 200));
            androidMap.MapTools.ZoomMapTool.IsEnabled = false;

            WorldMapKitOverlay worldOverlay = new WorldMapKitOverlay();
            androidMap.Overlays.Add("WorldOverlay", worldOverlay);

            // Add cross hair adornment layer.
            CrossHairAdornmentLayer crossHairAdornmentLayer = new CrossHairAdornmentLayer();
            androidMap.AdornmentOverlay.Layers.Add(crossHairAdornmentLayer);
        }
    }
}

